npm

Ready to take your JavaScript development to the next level? Meet npm Enterprise - the ultimate in enterprise JavaScript.Learn more »

rollup-plugin-riot

4.0.0 • Public • Published

Rollup Plugin for Riot

Build Status NPM version NPM downloads MIT License

Compiles tag files within rollup processes.

Important

If you are using Riot.js < 4.0.0 please check the v3 branch

Installation

npm install rollup-plugin-riot @riotjs/compiler -D

Requires riot-compiler v4.x.x and Rollup v0.66 or above.

Usage

import riot  from 'rollup-plugin-riot'
export default {
  entry: 'src/main.js',
  dest: 'dist/bundle.js',
  plugins: [riot()]
}

Options

You can specify some options:

import riot  from 'rollup-plugin-riot'
const options = {
  ext: 'html'
}
export default {
  entry: 'src/main.js',
  dest: 'dist/bundle.js',
  plugins: [riot(options)]
}
  • ext: extension of tag file (default is 'tag')
  • skip: exclude on Riot API. Ex. html, css or js
  • include: a minimatch pattern for including files.
  • exclude: a minimatch pattern for excluding files.compiler/#es6-config-file)).

And other options of @riotjs/compiler could be used.

Recipes

install

npm i rollup-plugin-riot

Downloadsweekly downloads

327

version

4.0.0

license

MIT

homepage

github.com

repository

Gitgithub

last publish

collaborators

  • avatar
  • avatar
Report a vulnerability